"""Bileto GLES Source Class

Handles building -gles variants of certain packages.
"""

from asyncio import coroutine

from bileto.worker.vcs import VCS
from bileto.worker.package import Package


class GLES(Package):
    """Represent the steps necessary to build & publish a -gles package."""
    TWINS = {
        'qt3d-opensource-src',
        'qtbase-opensource-src',
        'qtdeclarative-opensource-src',
        'qtlocation-opensource-src',
        'qtmir',
        'qtmultimedia-opensource-src',
        'qtubuntu',
        'ubuntu-ui-toolkit',
    }

    @coroutine
    def collect(self):
        """Copy non-gles primary and run gles hook."""
        yield from VCS.get_nongles(**self.env)
