"""Bileto Manual Source Class

Defines steps unique to manually-built source packages.
"""

from asyncio import coroutine

from bileto.worker.package import Package


class Manual(Package):
    """Represent the steps necessary to build & publish a manual package."""

    @coroutine
    def collect(self):
        """NOP; Users will collect the source package themselves."""

    @coroutine
    def build(self):
        """NOP; Users will build the source package themselves."""

    @coroutine
    def upload(self):
        """NOP; Users will upload the source package themselves."""

    @coroutine
    def expose(self):
        """NOP; Users will expose the source package themselves."""
