"""Bileto Secondary Source Class

Handles the "secondary" build in a dual silo, eg the "+vivid" in xenial+vivid.
"""

from asyncio import coroutine

from bileto.worker.vcs import VCS
from bileto.worker.package import Package


class Secondary(Package):
    """Represent the steps necessary to build & publish a secondary package."""

    @coroutine
    def collect(self):
        """Copy the primary package & fix changelog."""
        yield from VCS.get_secondary(
            SERIES_VERSION=self.series.version, **self.env)
