#!/bin/sh
#
# Super ultra-lightweight db migrations crafted by hand because the necessary
# flask/sqlalchemy migrations bits aren't available for python3 in trusty.

exit 0

CONNECTION=$(tr ':/@' ' ' < "$HOME/bileto.postgresql.info")
USER=$(echo "$CONNECTION" | awk '{ print $2 }')
PASSWORD=$(echo "$CONNECTION" | awk '{ print $3 }')
HOST=$(echo "$CONNECTION" | awk '{ print $4 }')
PORT=$(echo "$CONNECTION" | awk '{ print $5 }')
DB=$(echo "$CONNECTION" | awk '{ print $6 }')


export PGPASSFILE=$(mktemp -t pgpass.XXX)
echo "$HOST:$PORT:$DB:$USER:$PASSWORD" > "$PGPASSFILE"

# Don't set -eux too soon or $PASSWORD will leak in the logs.
set -eux

PG="psql -h $HOST -p $PORT -U $USER -w -d $DB -c"

# Terminate any stale queries that may block ALTER TABLE.
for pid in $($PG "SELECT pid FROM pg_stat_activity WHERE state = 'idle in transaction';" | egrep '^\s*[0-9]+\s*$'); do
    $PG "SELECT pg_terminate_backend($pid);"
done

rm -rf "$PGPASSFILE"
exit 0

# These ones have succeeded in production and only kept for reference
$PG "ALTER TABLE request ADD COLUMN lander_signoff text DEFAULT '';" || true
$PG "ALTER TABLE request ADD COLUMN britney_signoff text DEFAULT '';" || true
$PG "ALTER TABLE request ADD COLUMN status_color text DEFAULT '';" || true
$PG "ALTER TABLE request ADD COLUMN artifacts text DEFAULT '';" || true

$PG "ALTER TABLE request ADD COLUMN autopkgtest text DEFAULT '';" || true

for column in job_log creator landers siloname sync_request published_versions distribution series dest qa_signoff; do
    $PG "ALTER TABLE request ALTER COLUMN $column SET DATA TYPE text;"
done
$PG "ALTER TABLE comment ALTER COLUMN siloname SET DATA TYPE text;"

$PG "ALTER TABLE comment ALTER COLUMN request_id SET DATA TYPE bigint;"
$PG "ALTER TABLE comment ALTER COLUMN id SET DATA TYPE bigint;"
$PG "ALTER TABLE request ALTER COLUMN request_id SET DATA TYPE bigint;"

$PG "ALTER TABLE comment ADD COLUMN log_url text DEFAULT '';" || true
$PG "ALTER TABLE comment ADD COLUMN published_versions text DEFAULT '';" || true
$PG "ALTER TABLE comment ADD COLUMN siloname varchar(1000) DEFAULT '';" || true

$PG "ALTER TABLE request ADD COLUMN job_log varchar(1000) DEFAULT '';" || true
$PG "ALTER TABLE request ADD COLUMN creator varchar(1000) DEFAULT '';" || true

for column in status sources search; do
    $PG "ALTER TABLE request ALTER COLUMN $column SET DATA TYPE text;"
done
$PG "ALTER TABLE comment ALTER COLUMN author SET DATA TYPE text;"
