#!/bin/sh

# Copyright (c) 2015 Canonical, Ltd
# Author: Robert Bruce Park <robert.park@canonical.com>

# Checks if Bileto is up and running.

. /usr/lib/nagios/plugins/utils.sh

set -u

DATA=$(curl localhost:8080 --silent --show-error)

if ! echo $DATA | grep -q ng-app=\"Bileto\"; then
    echo "CRIT: Bileto front page not responding"
    exit $STATE_CRITICAL
fi

DATA=$(curl localhost:8080/v1/tickets --silent --show-error)

case "$DATA" in
    *"\"requests\":[]"*)
        echo "WARN: Bileto responding but db apparently empty"
        exit $STATE_WARNING
        ;;
    *"\"requests\":["*)
        echo "OK: Bileto responding normally"
        exit $STATE_OK
        ;;
    *)
        echo "CRIT: Bileto API not responding"
        exit $STATE_CRITICAL
        ;;
esac
