#!/bin/sh

# In minutes
DAY=1440
MONTH=43200
MONTHS=86400

sleep "$(shuf --input-range 0-60 --head-count 1)"

# Delete stale files
find /tmp/britney_data  -mmin +$DAY    -path '*landing*' -delete
find /tmp/britney_out*  -mmin +$MONTHS -path '*ticket-*' -delete
find /var/www/log       -mmin +$MONTH                    -delete
find /tmp/*bileto-work* -mmin +$DAY                      -delete

atomic="$(mktemp --directory)"
find /tmp/bileto/vcs-cache/* -maxdepth 0 -mmin +$MONTH -exec mv '{}' "$atomic" \;
rm --recursive --force "$atomic"

# In seconds
HOUR=3600

# Kill stale processes
for pid in $(ps aux | grep "[b]ileto/worker/main.py" | awk '{ print $2 }'); do
    # shellcheck disable=SC2046
    if [ $(ps --pid "$pid" --format "etimes=") -gt "$HOUR" ]; then
        kill $pid
    fi
done
