#!/bin/sh

sleep "$(shuf --input-range 0-60 --head-count 1)"

ROOT="$(dirname "$(dirname "$(readlink --canonicalize "$0")")")"
LOGS=$ROOT/bileto/static/logs.html
REPORT=$ROOT/bileto/static/report.txt

DIR=/tmp/britney_output
INDEX=$DIR/index.html

TMP_LOGS=$(mktemp)
TMP_INDEX=$(mktemp)
TMP_REPORT=$(mktemp)

usage() {
    printf '\n\n'
    du --human-readable --max-depth=2 "$@" | \
        sort --reverse --human-numeric-sort
}


date --utc > $TMP_REPORT
uptime >> $TMP_REPORT
printf '\n\n' >> $TMP_REPORT
df --human-readable >> $TMP_REPORT
usage /tmp/*bileto* >> $TMP_REPORT
usage /tmp/*britney* >> $TMP_REPORT
usage /var/www >> $TMP_REPORT


(cd $DIR         && tree -H /static/britney -T 'Britney Files' --si --du -D -o $TMP_INDEX)
(cd /var/www/log && tree -H /log            -T 'Job Log Files' --si --du -D -o $TMP_LOGS)


mv $TMP_REPORT $REPORT
mv $TMP_INDEX $INDEX
mv $TMP_LOGS $LOGS

chmod 644 $REPORT $INDEX $LOGS
