#!/bin/sh

#
# WARNING: This script runs as root, don't do anything stupid!
#

cleanup() {
    chown --recursive "$orig_owner" "$source_tree" 1>&2
    userdel --force "$tmpuser" 1>&2
    rm --force "$tmpfile" 1>&2
}

hook_path="./debian/bileto_$HOOK"

[ -s "$hook_path" ] || exit 0

trap 'cleanup' EXIT
trap 'cleanup; exit 1' INT QUIT TERM

source_tree="$(pwd)"
orig_owner="$(stat -c '%U' "$source_tree")"

set -eu

tmpfile="$(mktemp --tmpdir bileto-tmp-XXXXX)"
tmpuser="$(basename "$tmpfile")"

useradd "$tmpuser" 1>&2

chown --recursive "$tmpuser" "$source_tree" 1>&2

set -x

su "$tmpuser" --command "$hook_path" 1>&2
