#!/bin/sh

BILETO="$(dirname "$(dirname "$(readlink --canonicalize "$0")")")"
BRITNEY="/var/lib/britney"
HINTS="/tmp/britney_hints"
CU2D="/var/lib/cu2d"

sleep "$(shuf --input-range 0-60 --head-count 1)"

for path in $BILETO $BRITNEY $HINTS $CU2D; do
    bzr pull --overwrite --directory "$path" 2>&1 | tee "${path}.info"
done

cp --update $BILETO/files/cron /etc/cron.d/bileto
cp --update $BILETO/files/sudoers.conf /etc/sudoers.d/bileto
cp --update $BILETO/files/logrotate.conf /etc/logrotate.d/bileto


if grep -qc "Now on revision" "$BILETO.info"; then
    uuid > /etc/bileto/instance_id
    killall gunicorn3
fi


mkdir --parents /usr/local/lib/nagios/plugins/ /etc/nagios/nrpe.d
cp --update $BILETO/files/check_bileto.sh /usr/local/lib/nagios/plugins/check_bileto.sh
cp --update $BILETO/files/check_bileto.cfg /etc/nagios/nrpe.d
chmod 755 /usr/local/lib/nagios/plugins/check_bileto.sh
